import request from "@/utils/request";
import { AxiosPromise } from "axios";

/**
 * 获取物料信息
 *
 * @param id
 * @param data
 */
export function getMaterialDetails(materialCode: String): AxiosPromise<any> {
  return request({
    url: "/api/v1/base/material/getDetails/" + materialCode,
    method: "get",
  });
}

export function getMaterialDetailsByseqNo(seqNo: String): AxiosPromise<any> {
  return request({
    url: "/api/v1/process/web/traceability/get/" + seqNo,
    method: "get",
  });
}

export function getOperationCompent(opId: String): AxiosPromise<any> {
  return request({
    url: "/api/v1/op/compent/get/" + opId,
    method: "get",
  });
}

